# range File Reference

`#include <osgParticle/Export>`
`#include <cstdlib>`
`#include <osg/Vec2>`
`#include <osg/Vec3>`
`#include <osg/Vec4>`

Include dependency graph for range:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osgParticle

## Defines

#define | OSGPARTICLE_RANGE_ 1

## Typedefs

typedef range< float > | rangef
| Range of floats.
typedef range< osg::Vec2 > | rangev2
| Range of osg::Vec2s.
typedef range< osg::Vec3 > | rangev3
| Range of osg::Vec3s.
typedef range< osg::Vec4 > | rangev4
| Range of osg::Vec4s.

## Define Documentation

#define OSGPARTICLE_RANGE_ 1

## Typedef Documentation

typedef range<float> osgParticle::rangef

| Range of floats.

typedef range<osg::Vec2> osgParticle::rangev2

| Range of osg::Vec2s.

typedef range<osg::Vec3> osgParticle::rangev3

| Range of osg::Vec3s.

typedef range<osg::Vec4> osgParticle::rangev4

| Range of osg::Vec4s.